%global commit 1f13bf5c5e86cbc99a6f0492fcdcd38cf0da2105
%global gittag v1.8.6
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		rdesktop
Version:	1.9.0
Release:    2%{?dist}
Summary:	X client for remote desktop into Windows Terminal Server

License:	GPLv3+
URL:		http://www.rdesktop.org/
Source0:	https://github.com/%{name}/%{name}/releases/download/v%{version}/rdesktop-%{version}.tar.gz
Patch0:         https://patch-diff.githubusercontent.com/raw/rdesktop/rdesktop/pull/394.patch
Patch1:         rdesktop-crypto.patch
Patch2: rdesktop-configure-c99.patch
BuildRequires: make
BuildRequires:	gnutls-devel
BuildRequires:	krb5-devel
BuildRequires:	libtasn1-devel
BuildRequires:	libX11-devel
BuildRequires:	libXcursor-devel
BuildRequires:	libXrandr-devel
BuildRequires:	nettle-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	autoconf automake libtool

%description
rdesktop is an open source client for Windows NT Terminal Server and
Windows 2000 & 2003 Terminal Services, capable of natively speaking 
Remote Desktop Protocol (RDP) in order to present the user's NT
desktop. Unlike Citrix ICA, no server extensions are required.

%prep
%autosetup -p1

%build
autoreconf -vif
%configure --with-ipv6 --with-sound=pulse
%make_build

%install
%make_install STRIP=/bin/true

%files
%doc COPYING README* doc/{AUTHORS,ChangeLog,HACKING,TODO,*.txt}
%{_bindir}/rdesktop
%{_datadir}/rdesktop/
%{_mandir}/man1/*

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.9.0-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.0-1
- initial build
